import javax.swing.JOptionPane; // giriş çıkı
import Mathd;

public class H3OD2_2000
{
// trigonometrik fonksiyonların derece cinsinden yazılmış hali
 public static void main(String args[])
  {
   double a;
   a=Double.parseDouble(JOptionPane.showInputDialog
   ("0-1 arasinda bir sayi giriniz : "));
   String s="";
   s+="asin("+a+"): " + Mathd.asind(a)+" °\n";
   s+="acos("+a+"): " + Mathd.acosd(a)+" °\n";
   s+="atan("+a+"): " + Mathd.atand(a)+" °\n";
   JOptionPane.showMessageDialog(null,s,
   "trigonometrik fonksiyonların derece cinsinden yazılmış hali",
   JOptionPane.PLAIN_MESSAGE);
   System.exit(0);
}
}